<template>
  <v-app id="inspire" dark>
    <v-snackbar
      v-model="snackbarShow"
      bottom
      right
      color="red"
    >
      {{ snackbarText }}
      <v-btn
        dark
        flat
        @click="snackbarShow = false"
      >
        Close
      </v-btn>
    </v-snackbar>

    <v-toolbar app fixed clipped-left>
      <v-toolbar-title>Vuex presentation</v-toolbar-title>
      <v-spacer/>
      <v-toolbar-items >
        <v-btn to="/" flat>Mega Vuex </v-btn>
        <v-btn to="/normal-vuex" flat>Normal Vuex</v-btn>
        <v-btn to="/no-vuex" flat>Pure Vue</v-btn>
        <v-btn to="/should-i" flat>So Should I?</v-btn>
      </v-toolbar-items>
    </v-toolbar>

    <v-content>
      <v-container fluid fill-height>
        <v-layout justify-center align-center>
          <v-fade-transition mode="out-in">
            <router-view></router-view>
          </v-fade-transition>
        </v-layout>
      </v-container>
    </v-content>

    <v-footer app fixed height="40">
      <span class="display-4">😈</span>
    </v-footer>
  </v-app>
</template>

<script>
import eventBus from './eventBus'

export default {
  data: () => ({
    drawer: null,
    snackbarShow: false,
    snackbarText: 'No errors'
  }),
  props: {
    source: String
  },
  mounted () {
    eventBus.$on('error', message => {
      this.snackbarText = message
      this.snackbarShow = true
    })
  }
}
</script>
